JcaComponent (Mule ESB 2.2.1 API)
Keywords: org.mule.module.jca.JcaComponent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.jca
Class JcaComponent

    java.lang.Object
      org.mule.component.AbstractComponent
          org.mule.component.AbstractJavaComponent
              org.mule.module.jca.JcaComponent

All Implemented Interfaces:
  EventListener, javax.resource.spi.work.WorkListener, Component, JavaComponent, MuleContextAware, Interceptor, Disposable, Initialisable, Lifecycle, Startable, Stoppable

    public class JcaComponent

extends AbstractJavaComponent
implements javax.resource.spi.work.WorkListener

Nested Class Summary
`class` | `JcaComponent.MuleJcaWorker`

Field Summary
`protected javax.resource.spi.endpoint.MessageEndpointFactory` | `messageEndpointFactory`
`protected javax.resource.spi.work.WorkManager` | `workManager`

Fields inherited from class org.mule.component.AbstractJavaComponent
`bindingCollection, entryPointResolverSet, lifecycleAdapterFactory, objectFactory`

Fields inherited from class org.mule.component.AbstractComponent
`disposed, disposing, initialised, interceptors, logger, muleContext, notificationHandler, service, started, statistics, stopping`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`JcaComponent(javax.resource.spi.endpoint.MessageEndpointFactory messageEndpointFactory, EntryPointResolverSet entryPointResolverSet, Service service, javax.resource.spi.work.WorkManager workManager)`

Method Summary
`protected LifecycleAdapter` | `borrowComponentLifecycleAdaptor()`
`protected void` | `doInitialise()`
`Object` | `doInvoke(MuleEvent event)`
`Object` | `getManagedInstance()`
`Class` | `getObjectType()`
`protected void` | `returnComponentLifecycleAdaptor(LifecycleAdapter lifecycleAdapter)`
`void` | `workAccepted(javax.resource.spi.work.WorkEvent arg0)`
`void` | `workCompleted(javax.resource.spi.work.WorkEvent arg0)`
`void` | `workRejected(javax.resource.spi.work.WorkEvent arg0)`
`void` | `workStarted(javax.resource.spi.work.WorkEvent arg0)`

Methods inherited from class org.mule.component.AbstractJavaComponent
`createLifeCycleAdaptor, doDispose, doStart, getBindingCollection, getEntryPointResolverSet, getLifecycleAdapterFactory, getObjectFactory, invokeComponentInstance, setBindingCollection, setEntryPointResolvers, setEntryPointResolverSet, setLifecycleAdapterFactory, setObjectFactory`

Methods inherited from class org.mule.component.AbstractComponent
`checkDisposed, createResultMessage, dispose, doStop, fireComponentNotification, getInterceptors, getService, getStatistics, initialise, intercept, invoke, release, setInterceptors, setMuleContext, setService, start, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.component.Component
`getService, getStatistics, invoke, setService`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Field Detail

### messageEndpointFactory

    protected javax.resource.spi.endpoint.MessageEndpointFactory messageEndpointFactory

### workManager

    protected javax.resource.spi.work.WorkManager workManager

Constructor Detail

### JcaComponent

    public JcaComponent(javax.resource.spi.endpoint.MessageEndpointFactory messageEndpointFactory,
                        EntryPointResolverSet entryPointResolverSet,
                        Service service,
                        javax.resource.spi.work.WorkManager workManager)

Method Detail

### getManagedInstance

    public Object getManagedInstance()
                              throws UnavailableException,
                                     MuleException

  Throws:
    `UnavailableException`
    `MuleException`

### doInvoke

    public Object doInvoke(MuleEvent event)

  Overrides:
    `doInvoke` in class `AbstractJavaComponent`

### getObjectType

    public Class getObjectType()

  Specified by:
    `getObjectType` in interface `JavaComponent`
  Overrides:
    `getObjectType` in class `AbstractJavaComponent`
  Returns:

### borrowComponentLifecycleAdaptor

    protected LifecycleAdapter borrowComponentLifecycleAdaptor()
                                                        throws Exception

  Specified by:
    `borrowComponentLifecycleAdaptor` in class `AbstractJavaComponent`
  Throws:
    `Exception`

### returnComponentLifecycleAdaptor

    protected void returnComponentLifecycleAdaptor(LifecycleAdapter lifecycleAdapter)

  Specified by:
    `returnComponentLifecycleAdaptor` in class `AbstractJavaComponent`

### doInitialise

    protected void doInitialise()
                         throws InitialisationException

  Overrides:
    `doInitialise` in class `AbstractJavaComponent`
  Throws:
    `InitialisationException`

### workAccepted

    public void workAccepted(javax.resource.spi.work.WorkEvent arg0)

  Specified by:
    `workAccepted` in interface `javax.resource.spi.work.WorkListener`

### workCompleted

    public void workCompleted(javax.resource.spi.work.WorkEvent arg0)

  Specified by:
    `workCompleted` in interface `javax.resource.spi.work.WorkListener`

### workRejected

    public void workRejected(javax.resource.spi.work.WorkEvent arg0)

  Specified by:
    `workRejected` in interface `javax.resource.spi.work.WorkListener`

### workStarted

    public void workStarted(javax.resource.spi.work.WorkEvent arg0)

  Specified by:
    `workStarted` in interface `javax.resource.spi.work.WorkListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.